<section class="manage_request" style="min-height: 500px;">
    <div class="manage_request_container ">
        <div class="row">
            <div class="col-md-8">
                <h1 style="margin-bottom: 12px;">View offers
                    <span style="font-weight: 300;" *ngIf="offers?.result?.length>0">({{offers?.result?.length}}
                        Offers)</span>
                    <span style="font-weight: 300;" *ngIf="offers?.result?.length==0">(0 Offers)</span>
                </h1>
            </div>
            <div class="col-md-4 text-right">
                <a href="javascript:void(0)" style="line-height: 3.5;color: #007bff;"
                    (click)="backToManageRequest()">Back to Manage Request</a>
            </div>
        </div>
        <div class="db-offers">
            <aside class="cf">
                <span class="user-pict-80"><img src="{{offerInfo?.created_by?.user_info?.profile_picture}}" width="80"
                        height="80" style="cursor: pointer;" (click)="openImage(offerInfo?.created_by?.user_info?.profile_picture)"></span>
                <h2 class="fs-18">My Request</h2>
                <p>{{offerInfo?.description}}</p>
                <ul>
                    <li class="request-item" *ngIf="offerInfo?.service_delivery?.service_delivery_value==1"><i
                            class="fa fa-clock-o"></i>{{offerInfo?.service_delivery?.service_delivery_value}} day
                        Delivery</li>
                    <li class="request-item" *ngIf="offerInfo?.service_delivery?.service_delivery_value>1"><i
                            class="fa fa-clock-o"></i>{{offerInfo?.service_delivery?.service_delivery_value}} days
                        Delivery</li>
                    <li>Budget: {{offerInfo?.budget | currency: 'INR':'symbol':'1.0-0'}}</li>
                </ul>
            </aside>
        </div>
        <div class="row">
            <div class="col-md-9"></div>
            <div class="col-md-3">
                <div class="form-group">
                    <h6>Sort offers by</h6>
                    <div class="select">
                        <select class="form-control" (change)="getOffers(request_id)" [(ngModel)]="sortBy"
                            name="sortBy">
                            <option value="default">Default</option>
                            <option value="date">Date</option>
                            <option value="price">Price</option>
                            <option value="delivery">Delivery Time</option>
                            <option value="rating">Rating</option>
                        </select>
                    </div>
                </div>
            </div>

        </div>


        <ng-container *ngFor="let item of getOffersList(offers.result)">
            <div class="offers_div_new">
                <ul class="js-offers-list">
                    <li>
                        <a href="javascript:void(0)" target="_blank" class="photos"
                            data-anchor="5fd70c4233151b000110b6d3">
                            <img src="{{item?.gig?.gallery[0]?.file_path_thumbnail}}" class="gig-photo" alt="" />
                        </a>
                        <div class="details-wrap">
                            <div class="price"> {{item?.offer_price | currency: 'INR':'symbol':'1.0-0'}}</div>

                            <div class="seller cf">
                                <span class="user-pict-50">
                                    <span class="missing-image-user">{{item?.initials}}</span>
                                </span>
                                <b><a href="javascript:void(0)" class="name js-gtm-event-auto"
                                        data-gtm-category="Request Offers" data-gtm-action="Click"
                                        data-gtm-label="Seller" (click)="onClickSeller(item?.gig?.created_by?.id)">
                                        {{item?.gig?.created_by?.user_name}}</a></b> &nbsp;
                                <span class="rating-text">
                                    <strong *ngIf="item?.gig?.rating==1" class="stars_container">
                                        <i class="fa fa-star" style="color: #febf10;"></i>
                                    </strong>
                                    <strong *ngIf="item?.gig?.rating==2" class="stars_container">
                                        <i class="fa fa-star" style="color: #febf10;"></i><i class="fa fa-star" style="color: #febf10;"></i>
                                    </strong>
                                    <strong *ngIf="item?.gig?.rating==3" class="stars_container">
                                        <i class="fa fa-star" style="color: #febf10;"></i><i class="fa fa-star" style="color: #febf10;"></i><i class="fa fa-star" style="color: #febf10;"></i>
                                    </strong>
                                    <strong *ngIf="item?.gig?.rating==4" class="stars_container">
                                        <i class="fa fa-star" style="color: #febf10;"></i><i class="fa fa-star" style="color: #febf10;"></i><i class="fa fa-star" style="color: #febf10;"></i><i class="fa fa-star" style="color: #febf10;"></i>
                                    </strong>
                                    <strong *ngIf="item?.gig?.rating==5" class="stars_container">
                                        <i class="fa fa-star" style="color: #febf10;"></i><i class="fa fa-star" style="color: #febf10;"></i><i class="fa fa-star" style="color: #febf10;"></i><i class="fa fa-star" style="color: #febf10;"></i><i class="fa fa-star" style="color: #febf10;"></i>
                                    </strong>
                                    <strong *ngIf="item?.gig?.rating==null"
                                        class="stars_container_empty">{{getEmptyStar()}}
                                        <span [innerHtml]="printStarEmpty">
                                        </span>
                                    </strong>
                                </span>
                                <br />
                                <!-- <a href="javascript:void(0)" class="contact js-seller-contact js-gtm-event-auto" data-gtm-category="Request Offers" data-gtm-action="Click" data-gtm-label="Contact">
                              <i class="fa fa-envelope"></i> Contact me
                          </a> -->
                            </div>

                            <div class="details">
                                <h6>
                                    <a href="javascript:void(0)" class="js-gtm-event-auto"
                                        (click)="onGigClick(item?.gig?.id,5)" data-gtm-category="Request Offers"
                                        data-gtm-action="Click" data-gtm-label="Gig Name">
                                        {{item?.gig?.title}}
                                    </a>
                                </h6>
                                <p class="description js-offer-desc">
                                    <span class="short-desc js-short-desc" *ngIf="showFullDescription==false">
                                        {{item?.gig_description_one}}
                                    </span>
                                    <span class="short-desc js-short-desc" *ngIf="showFullDescription==true">
                                        {{item?.gig_description_one}}{{item?.gig_description_two}}
                                        <a href="javascript:void(0)" (click)="onSeeMoreClick()"
                                            class="js-offer-see-more desc-see-more">See More</a>
                                    </span>
                                </p>
                                <ul>
                                    <ng-container *ngFor="let itemPackage of item.silverCheckBoxDetails">
                                        <!-- <li
                                    [attr.class]="(itemPackage.silverCheckBoxValue=='true' || itemPackage.silverCheckBoxValue==true)?'feature included':'feature'">
                                    {{itemPackage.silverCheckBox}}</li> -->
                                        <li *ngIf="itemPackage.silverCheckBoxValue=='true' || itemPackage.silverCheckBoxValue==true"
                                            class="feature included"><i class="fa fa-check" style="color: #19b5fe;"></i>
                                            {{itemPackage.silverCheckBox}}</li>
                                    </ng-container>
                                </ul>
                                <ng-container *ngIf="item.offer_delivery_time!=null">
                                    <ul>
                                        <li><i class="fa fa-clock-o"></i>{{item.offer_delivery_time==1?'1 Day
                                            Delivery':item.offer_delivery_time+' Days Delivery'}}</li>
                                    </ul>
                                </ng-container>
                            </div>

                            <a href="javascript:void(0)" (click)="onClickRemove(item.id)"
                                class="link-blue link-remove js-remove-offer js-gtm-event-auto"
                                data-offer-id="5fd70c4233151b000110b6d3" data-gtm-category="Request Offers"
                                data-gtm-action="Click" data-gtm-label="Remove offer">Remove Offer</a>
                            <input type="submit" class="btn-standard btn-green-grad js-gtm-event-auto"
                                data-gtm-category="Request Offers" data-gtm-action="Click"
                                data-gtm-label="Order custom package offer" value="Order Now"
                                (click)="onOrderNowClick(item.id)" />
                        </div>
                    </li>
                </ul>
            </div>
        </ng-container>

        <div class="No_gig_display" style="top: 55%;left: 50%;" *ngIf="isOfferList">
            <h5 class="">No Gig to display</h5>
        </div>

        <!-- <div class="manage_request_div">
              
              <ul>
                  <li>
                      <h3>Post a Request</h3>
                      <p>Describe the service you are searching for.</p>
                  </li>
                  <li>
                      <h3>Get Offers</h3>
                      <p>Sit back while sellers offer their services.</p>
                  </li>
                  <li>
                      <h3>Place Order</h3>
                      <p>Choose your seller and place an order.</p>
                  </li>
              </ul>
              <div class="mt-5">
                  <a href="post_a_request.html" class="post_a_request_btn">Post a Request</a>
              </div>
          </div> -->
    </div>
</section>


<!-- enlarge Image Pop start -->
<div class="modal fade" id="imagemodal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog image_inlarge_modal_dialog" style="height: 500px;">
        <div class="modal-content inlarge_modal_content">
            <div class="modal-body image_inlarge_modal_body">
                <button id="btnImageInLargeCloseButton" type="button" class="close image_inlarge_close_btn" data-dismiss="modal">
                    <img src="assets/img/cancel_img.png" width="29" />
                    <span class="sr-only">Close</span>
                </button>
                <img [src]="image_ViewUrl" class="imagepreview" style="width: 100%;">
            </div>
        </div>
    </div>
  </div>
  <!-- enlarge Image Pop End -->